Package org.apache.torque.sql.whereclausebuilder

# Class VerbatimSqlConditionBuilder

java.lang.Object
org.apache.torque.sql.whereclausebuilder.VerbatimSqlConditionBuilder

All Implemented Interfaces:
  `WhereClausePsPartBuilder`

public class VerbatimSqlConditionBuilder extends Object implements WhereClausePsPartBuilder
Builds a PreparedStatementPart from a WhereClauseExpression containing a verbatim SQL condition.

Version:
  $Id: VerbatimSqlConditionBuilder.java 1839288 2018-08-27 09:48:33Z tv $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerbatimSqlConditionBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PreparedStatementPart`
  `buildPs(WhereClauseExpression whereClausePart, boolean ignoreCase, Query query, Adapter adapter)`
  Builds the PS part for a WhereClauseExpression with a verbatim SQL condition.
  `boolean`
  `isApplicable(WhereClauseExpression whereClauseExpression, Adapter adapter)`
  Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VerbatimSqlConditionBuilder

    public VerbatimSqlConditionBuilder()

- ## Method Details

  - ### buildPs

    public PreparedStatementPart buildPs(WhereClauseExpression whereClausePart, boolean ignoreCase, Query query, Adapter adapter) throws TorqueException
    Builds the PS part for a WhereClauseExpression with a verbatim SQL condition.
    Specified by:
      `buildPs` in interface `WhereClausePsPartBuilder`
    Parameters:
      `whereClausePart` - the part of the where clause to build. Can be modified in this method.
      `ignoreCase` - is ignored here.
      `query` - the query which is currently built
      `adapter` - The adapter for the database for which the SQL should be created, not null.
    Returns:
      the rendered SQL for the WhereClauseExpression
    Throws:
      `TorqueException` - when rendering fails.

  - ### isApplicable

    public boolean isApplicable(WhereClauseExpression whereClauseExpression, Adapter adapter)
    Returns whether this WhereClausePsPartBuilder is applicable for a given WhereClauseExpression.
    Specified by:
      `isApplicable` in interface `WhereClausePsPartBuilder`
    Parameters:
      `whereClauseExpression` - the WhereClauseExpression in question.
      `adapter` - The adapter for the database for which the SQL should be created, not null.
    Returns:
      true if applicable, false otherwise.